//
//  ContentView.swift
//  WELDeviceExample
//

import SwiftUI
import WELDeviceLibrary

struct ContentView: View {
    @ObservedObject var wrapper: ManagerWrapper
    
    var body: some View {
        NavigationStack {
            List {
                DeviceList()
                    .environmentObject(wrapper)
            }
            .navigationTitle("Device List")
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static let managerWrapper: ManagerWrapper = ManagerWrapper(true)
    
    static var previews: some View {
        ContentView(wrapper: managerWrapper)
    }
}
